Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707538 - sys-block/open-iscsi-2.1.0 : fails to build with -fno-common or gcc-10
Summary: sys-block/open-iscsi-2.1.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL: https://github.com/open-iscsi/open-is...
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 21:55 UTC by Toralf Förster
Modified: 2020-05-03 20:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.60 KB, text/plain)
2020-01-30 21:55 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,188.44 KB, text/plain)
2020-01-30 21:55 UTC, Toralf Förster
Details
environment (environment,110.77 KB, text/plain)
2020-01-30 21:55 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.00 KB, application/x-bzip)
2020-01-30 21:55 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.49 KB, application/x-bzip)
2020-01-30 21:55 UTC, Toralf Förster
Details
sys-block:open-iscsi-2.1.0:20200130-213724.log (sys-block:open-iscsi-2.1.0:20200130-213724.log,41.36 KB, text/plain)
2020-01-30 21:55 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,33.05 KB, application/x-bzip)
2020-01-30 21:55 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 21:55:19 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -Wall -Wstrict-prototypes -I../include -I. -D_GNU_SOURCE -I../libopeniscsiusr   -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -c -o session_mgmt.o session_mgmt.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -Wall -Wstrict-prototypes -I../include -I. -D_GNU_SOURCE -I../libopeniscsiusr   -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -c -o discoveryd.o discoveryd.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -Wall -Wstrict-prototypes -I../include -I. -D_GNU_SOURCE -I../libopeniscsiusr   -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -c -o mntcheck.o mntcheck.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -Wall -Wstrict-prototypes -I../include -I. -D_GNU_SOURCE -I../libopeniscsiusr  iscsi_util.o io.o auth.o iscsi_timer.o login.o log.o iface.o idbm.o sysfs.o host.o session_info.o iscsi_sysfs.o iscsi_net_util.o iscsid_req.o transport.o iser.o cxgbi.o be2iscsi.o initiator_common.o iscsi_err.o flashnode.o uip_mgmt_ipc.o netlink.o ../utils/sysdeps/sysdeps.o initiator.o scsi.o actor.o event_poll.o mgmt_ipc.o kern_err_table.o ../utils/fwparam_ibft/fw_entry.o ../utils/fwparam_ibft/fwparam_ppc.o ../utils/fwparam_ibft/fwparam_sysfs.o ../utils/fwparam_ibft/prom_lex.o ../utils/fwparam_ibft/prom_parse.tab.o local_strings.o discovery.o iscsid.o session_mgmt.o discoveryd.o mntcheck.o -o iscsid  -lisns -lcrypto -lrt -lmount -Wl,-O1 -Wl,--as-needed -lkmod  -lsystemd  -L../libopeniscsiusr -lopeniscsiusr
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: io.o:(.bss+0x0): multiple definition of `la'; iscsi_util.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: auth.o:(.bss+0x0): multiple definition of `la'; iscsi_util.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 20:30:52 +0000

emerge -qpvO sys-block/open-iscsi
[ebuild  N    ] sys-block/open-iscsi-2.1.0  USE="systemd tcp -debug -infiniband -libressl -rdma"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 21:55:22 UTC
Created attachment 609484 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 21:55:25 UTC
Created attachment 609486 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 21:55:28 UTC
Created attachment 609488 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 21:55:31 UTC
Created attachment 609490 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 21:55:33 UTC
Created attachment 609492 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 21:55:36 UTC
Created attachment 609494 [details]
sys-block:open-iscsi-2.1.0:20200130-213724.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 21:55:39 UTC
Created attachment 609496 [details]
temp.tbz2
Comment 8 Thomas Deutschmann gentoo-dev Security 2020-05-03 20:31:07 UTC
Fixed in v2.1.1.